llfifo: XStrm_TxFifoStreamer Struct Reference

| llfifo Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XStrm_TxFifoStreamer Struct Reference
Llfifo_v5_3

This typedef defines a run-time instance of a transmit byte-streamer. More...

## Data Fields
unsigned | TailIndex
| TailIndex is the index to the AlignedBuffer as bytes. More...
unsigned | FifoWidth
| FifoWidth is the FIFO key hole width in bytes. More...
void * | FifoInstance
| FifoInstance is the FIFO driver instance to pass to WriteFn, SetLenFn, and GetVacancyFn routines. More...
XStrm_XferFnType | WriteFn
| WriteFn is the routine the streamer uses to transmit bytes to the Fifo. More...
XStrm_SetLenFnType | SetLenFn
| SetLenFn is the routine the streamer uses to initiate transmit operations on the FIFO. More...
XStrm_GetVacancyFnType | GetVacancyFn
| GetVaccancyFn is the routine the streamer uses to get the vacancy from the FIFO. More...

## Detailed Description

This typedef defines a run-time instance of a transmit byte-streamer.

## Field Documentation

void* XStrm_TxFifoStreamer::FifoInstance

FifoInstance is the FIFO driver instance to pass to WriteFn, SetLenFn, and GetVacancyFn routines.

Referenced by XStrm_TxInitialize(), XStrm_TxSetLen(), and XStrm_Write().

unsigned XStrm_TxFifoStreamer::FifoWidth

FifoWidth is the FIFO key hole width in bytes.

Referenced by XStrm_TxInitialize(), and XStrm_Write().

XStrm_GetVacancyFnType XStrm_TxFifoStreamer::GetVacancyFn

GetVaccancyFn is the routine the streamer uses to get the vacancy from the FIFO.

Referenced by XStrm_TxInitialize().

XStrm_SetLenFnType XStrm_TxFifoStreamer::SetLenFn

SetLenFn is the routine the streamer uses to initiate transmit operations on the FIFO.

Referenced by XStrm_TxInitialize().

unsigned XStrm_TxFifoStreamer::TailIndex

TailIndex is the index to the AlignedBuffer as bytes.

Referenced by XStrm_TxInitialize(), XStrm_TxSetLen(), and XStrm_Write().

XStrm_XferFnType XStrm_TxFifoStreamer::WriteFn

WriteFn is the routine the streamer uses to transmit bytes to the Fifo.

Referenced by XStrm_TxInitialize(), XStrm_TxSetLen(), and XStrm_Write().